Subject: RE: [nemo] draft-ng-nemo-multihoming-issues-01.txt

From: Chan-Wah Ng <[email-masked]>
Date: 21 Jun 2003 10:40:17 +0800

Hi, Eun Kyoung,

On Fri, 2003-06-20 at 18:59, Paik, Eun Kyoung wrote:

> > > 1. Egress interface availability and selection:
> > > Multiple egress interfaces of MR can be used simultaneously or one
> at
> > > a time ?
> > 
> > I don't see any reason to prevent them from being used
> simultaneously. 
> > If not used simultaneously, one can argue that it is not multihomed.
> 
> I agree with you.
> If we use them simutaneously, we first face BU problem as you
> mentioned in your draft.
> 
> > > If only a egress interface is used at a time, how to select it ?
> and
> > > who select it ?
> > > 
> > I personally feel that selection of egress interface is an
> > implementation issue. But there may be something I missed.
> 
> Good point. 
> We first distinguish the implementation issues from the standadization
> issues.
> If we have to make a consensus ons election of egress interface, 
> there may be some different choices, e.g. HA, MRs, and MNN.
> 
What do other people on the NEMO WG feels about this?

> > > 2. Scalability: 
> > > draft-montavont-mobileip-mmi-00.txt and 
> > > draft-wakikawa-multiplecoa-00.txt are proposed for different
> > > scenarios.
> > > Do we need a scalable and flexible solution for all the eight
> > > variations of (w, x, y) mentioned in your draft ?
> > > 
> > 
> > The 8 variations are just different possible scenarios. They share
> some
> > similar set of problems. Ideally, we should have a solution that
> solves
> > all the problems, but that is subjected to (a) scope of NEMO WG, (b)
> > practicability, and (c) significance of the problem.
> 
> Yes, ideally we shoud do.
> But, we'd better to talk about above (a), (b), (c) more in this maling
> list,
> since a solution which meets all the 8 scenarios will not be easily
> come.
> 
> > > With multiple HAs, there are further issues since it may have
> multiple
> > > HoAs.
> > > Are we going to allow multiple HoAs ? Then we have much more
> problems
> > > to discuss.
> > 
> > Which are ... ? It will useful to list the problems so that the WG
> can
> > make a decision whether multiple HoAs should be supported or not.
> 
> Before we go further, we can analyze the reason we need multiple HAs.
> For example,
> - HAs can be multiplied according to locations.
> - HAs can be multiplied according to access technologies.
> - HAs can be multiplied according to ISPs.
> 
> > > 3. RO Considerations:
> > > The way of egress interface availability and selection will affect
> RO.
> > 
> > Hmmm.. most likely so. Highly dependent on the RO solution used,
> which
> > may be a bit early. 
> > 
> > > I think we also have to analyze security considerations.
> > > 
> > Definitely. Any inputs from you (or other members in the WG) on this
> > regard?
> 
> Yes, RO and Security Considerations are dependant on the solution we
> will have.
> So, we may discuss it after we make a consensus on the above problems.
> 
> In fact, we have been listing detailed problems as a form of I-D 
> since they are a bit diferent from scenario to scenario.
> If you think it will be useful for us, we can share it as soon as it
> is completed.

I would very much like to see the I-D you are preparing.  And yes, it
will be useful to release it soon so that everyone in the WG can have a
clearer picture on the impact of multihoming on the basic solution while
we are formulating it.

/rgds
/cwng

---

From: Chan-Wah Ng <[email-masked]>
Date: 21 Jun 2003 10:40:17 +0800

Hi, Eun Kyoung,

/rgds
/cwng